import { Snapshot, BuildContext } from '../model';
import { IoCBindConfig } from './container-binding-config';
/**
 * Internal implementation of IoC Container.
 */
export declare class IoCContainer {
    static bind(source: Function): IoCBindConfig;
    static get(source: Function, context: BuildContext): any;
    static getType(source: Function): Function;
    static injectProperty(target: Function, key: string, propertyType: Function): void;
    /**
     * Store the state for a specified binding.  Can then be restored later.   Useful for testing.
     * @param source The dependency type
     */
    static snapshot(source: Function): Snapshot;
    /**
     * Restores the state for a specified binding that was previously captured by snapshot.
     * @param source The dependency type
     */
    private static restore;
    /**
     * Internal storage for snapshots
     * @type {providers: Map<Function, Provider>; scopes: Map<Function, Scope>}
     */
    private static snapshots;
    private static bindings;
}
